List all Equipments
Fetch Equipments
GET
/
v1
/
equipments
List all Equipments
curl --request GET \
--url https://api.siit.io/v1/equipments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/equipments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/equipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"count": 123,
"current_page": 123,
"next_page_link": "<string>",
"per_page": 20,
"previous_page_link": "<string>",
"total": 123
},
"results": [
{
"uid": "<string>",
"admin_permalink_url": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"added_by": "<string>",
"category": "<string>",
"category_uid": "<string>",
"collection_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"depreciation_rate": 123,
"equipment_issue_date": "2023-12-25",
"external_id": "<string>",
"external_url": "<string>",
"firmware_version": "<string>",
"guarantee_date": "2023-12-25",
"holder": "<string>",
"holder_uid": "<string>",
"ip_address": "<string>",
"keyboard_layout": "<string>",
"last_contact_date": "2023-12-25",
"last_enrollment_date": "2023-12-25",
"last_maintenance_date": "2023-12-25",
"last_report_date": "2023-12-25",
"leasing_buyout_option": true,
"leasing_company": "<string>",
"leasing_company_contact": "<string>",
"leasing_contract_id": "<string>",
"leasing_end_date": "2023-12-25",
"leasing_monthly_cost": 123,
"leasing_start_date": "2023-12-25",
"lifecycle": "in_service",
"mac_address": "<string>",
"model": "<string>",
"name": "<string>",
"notes": "<string>",
"office_location": "<string>",
"office_location_uid": "<string>",
"os_name": "<string>",
"processor_type": "<string>",
"purchase_cost": 123,
"purchase_date": "2023-12-25",
"purchase_number": "<string>",
"serial_number": "<string>",
"source": "siit",
"storage_capacity_mb": 123,
"total_ram_mb": 123,
"updated_at": "2023-11-07T05:31:56Z",
"vendor_name": "<string>"
}
]
}Usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Fields to expand into full objects. Example: ?expand[]=assignee_admin&expand[]=tags
Free-text search across the Equipment name and serial number.
Filter Equipments by exact serial number.
Filter Equipments created after a DateTime (ISO 8601).
Filter Equipments created before a DateTime (ISO 8601).
Filter Equipments updated after a DateTime (ISO 8601).
Filter Equipments updated before a DateTime (ISO 8601).
Whether the response should include archived Equipments.
The current page
Number of results retrieved per page.
⌘I
List all Equipments

